import java.util.Scanner;

public class Console {

    private Scanner scanner = new Scanner(System.in);
    private Account account1 = new Account();

    public Console(){


    }

    public String printMenu(){
        return ("Please select one of the following options:" + "\n"+
                "1: Create new entry" + "\n" + "2: Print database entries" + "\n"+
                "3: Update an entry" + "\n" + "4: Delete an entry" + "\n" + "5: Exit");


    }

    public int getID(){
        int userInput1 = getIntegerInput("Please enter the ID number:");
        return userInput1;
    }

    public String inputAccountName(){
        String userInput1 = getStringInput("Please enter your name:");
        return userInput1;
    }

    public String inputPassword(){
        String userInput1 = getStringInput("Please enter your password:");
        return userInput1;
    }

    public void print(String str){
        System.out.println(str);
    }


    public  String getStringInput(String prompt) {
        print(prompt);
        String input = scanner.nextLine();
        return input;
    }

    public  Double getDoubleInput(String prompt) {
        return Double.parseDouble(getStringInput(prompt));
    }

    public Integer getIntegerInput(String prompt) {
        return getDoubleInput(prompt).intValue();
    }


}
