import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;

import java.sql.SQLException;
import java.util.List;

public class Service{

    private Dao<Account, Integer> daoAccount;

    public Service(Dao<Account, Integer> dao){
        this.daoAccount = dao;

    }

    public int create(Account newAccount) throws Exception{
       return  daoAccount.create(newAccount);
    }

    public Account read(Integer id) throws Exception {
        return daoAccount.queryForId(id);
    }

    public int updateID(Account newAccount, Integer id) throws Exception{
        return daoAccount.updateId(newAccount, id);

    }

    public int delete(Integer id) throws Exception{
        return daoAccount.deleteById(id);

    }
}
