import com.j256.ormlite.dao.Dao;
import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

public class ServiceTest {
    private Service service1;
    private Dao<Account, Integer> daoTest;

    @Before
    public void setUp(){
        daoTest = new MockDao();
        service1 = new Service(daoTest);

    }

    @Test
    public void createTest() throws Exception{
        Account account = new Account();
        int expectedOutput = 4444;

        int actualOutput = service1.create(account);

        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void readTest(){
        Account account1 = new Account();



    }

    @Test
    public void updateTest() throws Exception{
        Account account2 = new Account();
        int expectedOutput = 666666;

        int actualOutput = service1.updateID(account2, 2);

        Assert.assertEquals(expectedOutput, actualOutput);


    }

    @Test
    public void deleteTest() throws Exception{
        Account account3 = new Account();
        int expectedOutput = 55555;

        int actualOutput = service1.delete(4);

        Assert.assertEquals(expectedOutput, actualOutput);

    }


}
